<?php

/**
 * Field handler to present a link to delete a annotation.
 */
class annotate_handler_field_note_link_edit extends views_handler_field {
  function construct() {
    parent::construct();
    $this->use_ctools = function_exists('ctools_modal_text_button');
  }

  function render($values) {
    global $user;
    $note = new stdClass();
    // TODO: fix names ... why need node_ prefix for nid?
    $note->nid = $values->node_annotate_nid;
    $note->uid = $values->annotate_uid;
    $note->timestamp = $values->annotate_timestamp;
    
    // @see annotate_edit_access()
    if ($note->uid != $user->uid && $user->uid != 1) {
      return;
    }
    $note->aid = $values->annotate_aid;

    $options = array(
      'attributes' => array(
        'class' => 'ctools-use-modal',
      ),
      'query' => drupal_get_destination(),
    );
    $text = !empty($this->options['text']) ? $this->options['text'] : t('edit');

    if ($this->use_ctools) {
      return ctools_modal_text_button($text, annotate_uri($note) . "/edit/nojs", '');
    }
    else {
      return l($text, annotate_uri($note) . "/edit", $options);
    }
  }
}

